github realm/realm-cocoa v5.4.0

This version bumps the Realm file format version. This means that older
versions of Realm will be unable to open Realm files written by this version,
and a new version of Realm Studio will be required. There are no actual format
changes and the version bump is just to force a re-migration of incorrectly
upgraded Realms.

Fixed

  • Upgrading pre-5.x files with string primary keys would result in a file where
    realm.object(ofType:forPrimaryKey:) would fail to find the object.
    (#6716, since 5.2.0)
  • A write transaction which modifies an object with more than 16 managed
    properties and causes the Realm file to grow larger than 2 GB could cause an
    assertion failure mentioning "m_has_refs". (JS #3194, since 5.0.0).
  • Objects with more than 32 properties could corrupt the Realm file and result
    in a variety of crashes. (Java #7057, since 5.0.0).

Compatibility

  • File format: Generates Realms with format v11 (Reads and upgrades all previous formats)
  • Realm Object Server: 3.21.0 or later.
  • Realm Studio: 3.12 or later.
  • APIs are backwards compatible with all previous releases in the 5.x.y series.
  • Carthage release for Swift is built with Xcode 11.6.

Internal

  • Upgraded realm-core from v6.0.23 to v6.0.25
  • Upgraded realm-sync from v5.0.20 to v5.0.22
latest releases: v10.11.0, v10.10.0, v10.9.0...
10 months ago